import { type ComponentProps } from 'react'

import { Input } from '../Input'
import { RootStylesProps } from '../Input/Input.styles'

type SearchProps = ComponentProps<'input'> & RootStylesProps

function Search({ ...props }: SearchProps) {
	return <Input type='search' {...props} />
}

export { Search }
